import { Source } from './source';
export declare type StateSealer = () => void;
export interface StateVectorController<T> {
    (vectorState: T[]): void;
    (updater: (state: T[]) => T[]): void;
}
export declare function createStateVector<T>(initialState: T[], isEqual?: (x: T[], y: T[]) => boolean): readonly [Source<T>, StateVectorController<T>, StateSealer];
